/*
 * Bucket.cpp
 *
 *  Created on: Dec 17, 2013
 *      Author: brian
 */

#include "Bucket.h"
#include "InputHandler.h"


#include <vector>

Bucket::Bucket(int offset)  {
	//m_direction = 1;
	m_offset = offset;
	cout << "Bucket Constructor " << endl;

}

void Bucket::update() {
	m_currentFrame = int((((SDL_GetTicks() / 100) + m_offset )% 3));

	if (TheInputHandler::Instance()->isKeyDown(SDL_SCANCODE_LEFT))
		m_x -= 4;

	if (TheInputHandler::Instance()->isKeyDown(SDL_SCANCODE_RIGHT))
		m_x += 4;

	// FIXME: won't scale!
	if (m_x > 588 )
		m_x = 588;

	if ( m_x < 30)
		m_x = 30;

}

void Bucket::load(int x, int y, int width, int height, std::string textureID) {
	GameObject::load(x, y, width, height, textureID);
	//load(x, y, width, height, textureID);

}

void Bucket::draw(SDL_Renderer* pRenderer) {
	GameObject::draw(pRenderer);

}

void Bucket::clean() {
}


